Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jaxen.expr
Class DefaultUnionExpr

    java.lang.Object
      org.jaxen.expr.DefaultExpr
          org.jaxen.expr.DefaultBinaryExpr
              org.jaxen.expr.DefaultUnionExpr

All Implemented Interfaces:
  BinaryExpr, Expr, Serializable, UnionExpr, Visitable

Deprecated. this class will become non-public in the future; use the interface instead

public class DefaultUnionExpr
extends org.jaxen.expr.DefaultBinaryExpr
implements UnionExpr

See Also:
  Serialized Form

Constructor Summary
`DefaultUnionExpr(Expr lhs, Expr rhs)` Deprecated.

Method Summary
`void` | `accept(Visitor visitor)` Deprecated.
`Object` | `evaluate(Context context)` Deprecated.
`Expr` | `getLHS()`
`String` | `getOperator()` Deprecated.
`Expr` | `getRHS()`
`String` | `getText()`
`void` | `setLHS(Expr lhs)`
`void` | `setRHS(Expr rhs)`
`Expr` | `simplify()`
`String` | `toString()` Deprecated.

Methods inherited from class org.jaxen.expr.DefaultExpr
`convertToIterator, convertToList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jaxen.expr.BinaryExpr
`getLHS, getRHS`

Methods inherited from interface org.jaxen.expr.Expr
`getText, simplify`

Constructor Detail

### DefaultUnionExpr

    public DefaultUnionExpr(Expr lhs,
                            Expr rhs)

  Deprecated.

Method Detail

### getOperator

    public String getOperator()

  Deprecated.

### toString

    public String toString()

  Deprecated.

### evaluate

    public Object evaluate(Context context)
                    throws JaxenException

  Deprecated.
  Specified by:
    `evaluate` in interface `Expr`
  Throws:
    `JaxenException`

### accept

    public void accept(Visitor visitor)

  Deprecated.
  Specified by:
    `accept` in interface `Visitable`

### getLHS

    public Expr getLHS()

  Specified by:
    `getLHS` in interface `BinaryExpr`

### getRHS

    public Expr getRHS()

  Specified by:
    `getRHS` in interface `BinaryExpr`

### setLHS

    public void setLHS(Expr lhs)

### setRHS

    public void setRHS(Expr rhs)

### getText

    public String getText()

  Specified by:
    `getText` in interface `Expr`

### simplify

    public Expr simplify()

  Specified by:
    `simplify` in interface `Expr`
  Overrides:
    `simplify` in class `DefaultExpr`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 Codehaus. All Rights Reserved.